2017-12-31 49 views
0

にジキル理想のイメージスライダープラグインを追加します。(https://github.com/jekylltools/jekyll-ideal-image-slider#integration-suggestions
は私のGemfile私は自分のサイトにジキル理想のイメージスライダープラグインを追加しようとする私のサイト

group :jekyll_plugins do 
    #add jekyll feeds 
    gem "jekyll-feed", "~> 0.6" 
    # gem "chronic" 
    # gem "google-api-client" 
    # gem "jekyll-ga" 
    # amp jekyll facility 
    gem "amp-jekyll", "1.0.2" 
    gem "jekyll-email-protect", "1.0.3" 
    # translation 
    gem "jekyll-i18n_tags", "~>1" 
    gem "ideal-image-slider" 
    gem "jekyll-maps" 
    gem "jekyll-sitemap" 
end 

でCADEですが、それは私が次gem install "ideal-image-slider" を実行しようとした

Could not find gem 'ideal-image-slider' in any of the gem sources listed in your Gemfile. 

エラーが発生しますが、それは私にエラーを与える

ERROR: Could not find a valid gem 'ideal-image-slider' (>= 0) in any repository 

私はBundlerバージョン1.16.1を持っています。事前にお返事ありがとうございます

答えて

0

プラグインディレクトリに直接組み込む必要があるjekyllプラグインであるため、失敗したgemをインストールすることはできません。 Gemfileで指定する必要はありません。

インストール

あなた_pluginsフォルダに_plugins/ideal_image_slider.rbを追加します。

あなた_config.ymlファイルに次の行を追加します。iis_slider_array:[]

+0

こんにちはMarcanuyとあなたの答えのための多くのおかげで、私はあなたが言ったことなかったし、それは私ので、働いているかどうかはまだわかりません別のエラーがあります。私はすべてのプラグインでそれをしなければならなかった。私はgem(https://github.com/KrzysiekJ/jekyll-i18n_tags)を使ってプラグインjekyll-i18n_tagsのドキュメントが私に言っていると言っているので、何か間違っていると思います。同じエラーがあります。とにかく、私はそれが_pluginsフォルダに "plugin_name.rb"を入れて動作することを確認するときにあなたの答えを受け入れます。何が問題になるのだろうか? – flamant

+0

Gemfileからideal-image-slider gemを削除した後にエラーが発生しましたか? – marcanuy

+0

この記事ではエラーが説明されています:https://stackoverflow.com/questions/48052293/cannot-build-the-site-on-the-preview-server – flamant

関連する問題